Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.wsdl.util
Interface WSDLWrapperImpl

All Superinterfaces:
  javax.wsdl.extensions.AttributeExtensible, javax.wsdl.Definition, javax.wsdl.extensions.ElementExtensible, java.io.Serializable, javax.wsdl.WSDLElement

All Known Implementing Classes:
  WSDLWrapperBasicImpl, WSDLWrapperReloadImpl, WSDLWrapperSaveImpl

    public interface WSDLWrapperImpl

extends javax.wsdl.Definition

This interface provides support for processing a WSDL4J definition with a lower memory footprint. This is useful for certain environments.

Field Summary

Fields inherited from interface javax.wsdl.extensions.AttributeExtensible
`LIST_OF_QNAMES_TYPE, LIST_OF_STRINGS_TYPE, NO_DECLARED_TYPE, QNAME_TYPE, STRING_TYPE`

Method Summary
`void` | `close()` Closes the use of the wrapper implementation and allows internal resources to be released.
`javax.wsdl.Definition` | `getUnwrappedDefinition()` Returns the WSDL4J Definition object that is being wrapped
`java.lang.String` | `getWSDLLocation()` Gets the location for the WSDL4J Definition object that is being wrapped
`void` | `releaseResources()`
`void` | `setDefinitionToWrap(javax.wsdl.Definition d)` Sets the WSDL4J Definition object that is being wrapped
`void` | `setWSDLLocation(java.lang.String uriLocation)` Sets the location for the WSDL4J Definition object that is being wrapped

Methods inherited from interface javax.wsdl.Definition
`addBinding, addImport, addMessage, addNamespace, addPortType, addService, createBinding, createBindingFault, createBindingInput, createBindingOperation, createBindingOutput, createFault, createImport, createInput, createMessage, createOperation, createOutput, createPart, createPort, createPortType, createService, createTypes, getAllBindings, getAllPortTypes, getAllServices, getBinding, getBindings, getDocumentBaseURI, getExtensionRegistry, getImports, getImports, getMessage, getMessages, getNamespace, getNamespaces, getPortType, getPortTypes, getPrefix, getQName, getService, getServices, getTargetNamespace, getTypes, removeBinding, removeImport, removeMessage, removeNamespace, removePortType, removeService, setDocumentBaseURI, setExtensionRegistry, setQName, setTargetNamespace, setTypes`

Methods inherited from interface javax.wsdl.WSDLElement
`getDocumentationElement, setDocumentationElement`

Methods inherited from interface javax.wsdl.extensions.AttributeExtensible
`getExtensionAttribute, getExtensionAttributes, getNativeAttributeNames, setExtensionAttribute`

Methods inherited from interface javax.wsdl.extensions.ElementExtensible
`addExtensibilityElement, getExtensibilityElements, removeExtensibilityElement`

Method Detail

### getUnwrappedDefinition

    javax.wsdl.Definition getUnwrappedDefinition()

  Returns the WSDL4J Definition object that is being wrapped

### setDefinitionToWrap

    void setDefinitionToWrap(javax.wsdl.Definition d)

  Sets the WSDL4J Definition object that is being wrapped

  Parameters:
    `d` - the WSDL4J Definition object

### setWSDLLocation

    void setWSDLLocation(java.lang.String uriLocation)

  Sets the location for the WSDL4J Definition object that is being wrapped

### getWSDLLocation

    java.lang.String getWSDLLocation()

  Gets the location for the WSDL4J Definition object that is being wrapped

### releaseResources

    void releaseResources()

### close

    void close()

  Closes the use of the wrapper implementation and allows internal resources to be released.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.